/*
Copyright (c):

Philipp Matthias Schäfer (philipp.matthias.schaefer@posteo.de), 2020

This file is part of the KrautStatus' Arduino code.

The Clean CommonMark library is free software: you can redistribute it and/or
modify it under the terms of the GNU Affero General Public License as published
by the Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

The Clean CommonMark library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License
for more details.

You should have received a copy of the GNU Affero General Public License along
with the Clean CommonMark library. If not, see <https://www.gnu.org/licenses/>.
*/

#define COLOR(r, g, b) (r << 16 | g << 8 | b)

const uint32_t BLACK = COLOR(  0,   0,   0);
const uint32_t GREEN = COLOR(  0, 255,   0);

void matrix_setup();

void matrix_show_failure();

bool matrix_show_scan_and_run(bool(*)());

void matrix_fill(uint32_t color);
